Facebook Twitter YouTube Frictional Games | Forum | Newsletter | Dev Blog | Dev Wiki | Support | Gametee


Jump to the post that solved this thread.
Thread Closed 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Can't update to ver. 1.3.1...
Author Message
JoeyXIII
Unregistered

 
Post: #1
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago Can't update to ver. 1.3.1...

Hi,
I have a physical version of Amnesia: TDD that I bought years ago and I decided to play it. I wanted to update it to version 1.3.1 (I have Windows) but after I finished installing the update and starting the game it said that the SDL.dll cannot be found... I've been looking into other posts here and I've found that I maybe installed it into a different folder. Do you have some guide how to install it correctly? Thanks in advance
11-05-2017 01:03 AM
Mudbill Offline
Posting Freak

Posts: 3,554
Joined: Apr 2013
Reputation: 167
Post: #2
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

Did you have the 1.2 Justine update before? I'm not sure if installing that first perhaps helps, though I wouldn't think so.

Did your retail copy have a "redist" folder inside your game installation? I think I've stumbled upon some retail copies that did not use a redist folder, similar to Steam, but most retail copies do have it. Inside there is where most of the game's files are found. That might be the folder you should pick to install the update to.

(This post was last modified: 11-05-2017 04:07 AM by Mudbill.)
11-05-2017 04:06 AM
Find all posts by this user
Romulator Offline
G'day mate! :3

Posts: 3,482
Joined: Jan 2013
Reputation: 191
Post: #3
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

By default, the game will install in the correct location as it should (it pulls this data from the registry). Have you installed the base game (version 1.0), then updated?

SDL.dll can be manually downloaded from here on the forums
http://www.frictionalgames.com/forum/thr...l#pid70551

If the above doesn't fix it, I recommend uninstalling the game from the Control Panel, then clearing out your folder (either by deleting or cutting and pasting the contents in your installation folder elsewhere). By default on a Windows System, your installation folder is C:/Program Files (x86)/Amnesia - The Dark Descent/ - and the actual Amnesia contents and whatnot will be in the redist folder.

Discord: Romulator#4942
[Image: 8f5d099c7b.png]
11-05-2017 04:12 AM
Find all posts by this user
JoeyXIII
Unregistered

 
Post: #4
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

(11-05-2017 04:06 AM)Mudbill Wrote:  Did you have the 1.2 Justine update before? I'm not sure if installing that first perhaps helps, though I wouldn't think so.

Did your retail copy have a "redist" folder inside your game installation? I think I've stumbled upon some retail copies that did not use a redist folder, similar to Steam, but most retail copies do have it. Inside there is where most of the game's files are found. That might be the folder you should pick to install the update to.
No, I have a stock/basic version of the game. And no, It does not have a "redist" folder. I just have an "Amnesia" folder and inside are all the game's files.

(11-05-2017 04:12 AM)Romulator Wrote:  By default, the game will install in the correct location as it should (it pulls this data from the registry). Have you installed the base game (version 1.0), then updated?

SDL.dll can be manually downloaded from here on the forums
http://www.frictionalgames.com/forum/thr...l#pid70551

If the above doesn't fix it, I recommend uninstalling the game from the Control Panel, then clearing out your folder (either by deleting or cutting and pasting the contents in your installation folder elsewhere). By default on a Windows System, your installation folder is C:/Program Files (x86)/Amnesia - The Dark Descent/ - and the actual Amnesia contents and whatnot will be in the redist folder.
Yes I installed the base game then tried to update it. I've put in the SDL.dll in the folder then started the game and it said that some other .dll's are missing... maybe bad installation?
If it won't work out I'll try reinstalling the game.
11-05-2017 05:33 PM
Romulator Offline
G'day mate! :3

Posts: 3,482
Joined: Jan 2013
Reputation: 191
Post: #5
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

Yeah, that sounds like a bad installation. Uninstall then reinstall the game and see how you end up from there~

Discord: Romulator#4942
[Image: 8f5d099c7b.png]
11-05-2017 09:50 PM
Find all posts by this user
JoeyXIII
Unregistered

 
Post: #6
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

(11-05-2017 09:50 PM)Romulator Wrote:  Yeah, that sounds like a bad installation. Uninstall then reinstall the game and see how you end up from there~
It finally worked! Angel I've reinstalled the game and installed the update into a RIGHT FOLDER Big Grin. Thank you for helping me Smile
11-05-2017 11:34 PM
Romulator Offline
G'day mate! :3

Posts: 3,482
Joined: Jan 2013
Reputation: 191
Post: #7
Solved: 2 Weeks, 2 Days, 2 Hours, 48 Minutes, 31 Seconds ago RE: Can't update to ver. 1.3.1...

No problem! Enjoy the game! Big Grin

Marking as solved and closing the thread Smile

Discord: Romulator#4942
[Image: 8f5d099c7b.png]
11-06-2017 03:51 AM
Find all posts by this user
Jump to the post that solved this thread.
Thread Closed 




User(s) browsing this thread: 1 Guest(s)